/********************************************************************
 *                              common.js
 *                            -------------------
 *   begin                : 2009/11/24
 *   copyright            : (C) 2009 DirCMS
 *   email                : uuturn@126.com
 *
 *   $Id: common.js,v 1.0.0 2010/04/8 16:04:01 M Exp $
 ********************************************************************/
 function killerror()
 {
	return true; 
 }
 
 window.onerror=killerror;
function confirmUrl(msg,url)
{
	if(confirm(msg)){
		self.location.href=url;
		return true;
	}
}

function returnFloat(value)
{  //保留两位小数点
	value = Math.round(parseFloat(value) * 100) / 100;
	if (value.toString().indexOf(".") < 0) 
	{
		value = value.toString() + ".00";
	}
	return value;
}

function clickUrl(url,evt,flag)
{
	if(typeof(flag)=="undefined"||flag==true)return true;//是否为站内链接
	else{
		var left;
		var top;
		var src='http://'+window.location.host;
		if(url.substr(0,src.length)==src)return true;
		if(document.all) //ie
		{
			left=(event.clientX-20)+"px";
			top=(event.clientY-20)+"px";
		}
		else //ff
		{		
			left=(evt.pageX-20)+"px";
			top=(evt.pageY-20)+"px";
		}
		
		var msgbox=document.createElement("div");
		var shorturl=url.length>35?url.substr(0,35)+'...':url;
		msgbox.innerHTML='<div onselectstart="return false;" style="font-family:宋体,Arial, Helvetica, sans-serif;width:280px; height:70px; margin:5px auto; line-height:9px; background-color:#FFFFFF" ><label style="display:block;width:280px; color:#1b72af; height:25px;padding:0px; padding-top:10px; text-indent:1em;text-align:left; background-color:#ecf6fb; border-bottom:#c5d8e8 1px solid;margin-bottom:10px">'+shorturl+'</label>访问内容超出本站链接，时候继续访问？<br /><br /><a href="'+url+'" onclick="if(document.body.lastChild.id==\'chkurlmsgbox\')document.body.removeChild(document.body.lastChild);"  target="_blank" style="color:#333333;text-decoration:none">继续访问</a>&nbsp;&nbsp;&nbsp;&nbsp;<a href="javascript:void(0);" onclick="if(document.body.lastChild.id==\'chkurlmsgbox\')document.body.removeChild(document.body.lastChild);" style="color:#333333;text-decoration:none">取消访问</a></div>';
		msgbox.id="chkurlmsgbox";
		msgbox.style.cssText="position:absolute;background-color:#d5e6ed;font-size:12px;text-align:center;width:290px;height:80px;border:#a6cbe7 1px solid;left:"+left+";top:"+top;
		if(document.body.lastChild.id=='chkurlmsgbox')document.body.removeChild(document.body.lastChild);
		document.body.appendChild(msgbox); 
		return false;
	}
}
function selectAll(formid,isselected)
{
	var form = document.forms[formid];
	for(var i=0;i<form.length;i++)
	{
		if(form[i].type=='checkbox')form[i].checked=isselected;
	}
} 

function CopyURL() //复制链接
{
	var myHerf=top.location.href;
	if(window.clipboardData)
	{
		if(window.clipboardData.setData("Text",myHerf)) alert("链接复制成功，按Ctrl + V ,粘贴到QQ上发给你的好友们吧 ！");
	}
	else
	{
		alert("对不起，目前此功能只支持IE，请直接复制地址栏的地址！");
	}
}

function addFavorite(name) // 收藏
{
	var myHerf=top.location.href;
	if (document.all)
	{
		window.external.addFavorite(myHerf,name);	
	}
	else
	{
		alert("对不起，目前此功能只支持IE！");
	}
} 

function copy(content)
{
	window.clipboardData.setData("Text",content);
	alert('复制成功！');
}